package com.libreecm.commonAPI.model.objects.properties;

import java.util.List;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

@JsonSerialize(include = JsonSerialize.Inclusion.NON_NULL)
public class PropertyBooleanImpl extends PropertyData<Boolean>{


    public PropertyBooleanImpl() {
    }

    public PropertyBooleanImpl(String id, List<Boolean> values) {
        setId(id);
        setValues(values);
    }

    public PropertyBooleanImpl(String id, Boolean value) {
        setId(id);
        setValue(value);
    }

    public PropertyBooleanImpl(PropertyDefinition<Boolean> propDef, List<Boolean> values) {
        setPropertyDefinition(propDef);
        setValues(values);
    }

    public PropertyBooleanImpl(PropertyDefinition<Boolean> propDef, Boolean value) {
        setPropertyDefinition(propDef);
        setValue(value);
    }
}
